Loading...
Searching...
No Matches
is_functor_with_signature< C, S >

## Detailed Description

template<typename C, typename S>
struct rheolef::details::is_functor_with_signature< C, S >

Definition at line 229 of file field_expr_utilities.h.

## Classes

struct | check

## Public Types

typedef char(& | yes)[1]
typedef char(& | no)[2]

## Static Public Member Functions

template<typename T >
static yes | deduce (check< typename build_class_function< C, S >::type, &T::operator()> *)
template<typename >
static no | deduce (...)

## Static Public Attributes

static bool constexpr | value = sizeof(deduce<C>(0)) == sizeof(yes)

## Member Typedef Documentation

## yes

template<typename C , typename S >

typedef char(& yes)[1]

Definition at line 230 of file field_expr_utilities.h.

## no

template<typename C , typename S >

typedef char(& no)[2]

Definition at line 231 of file field_expr_utilities.h.

## Member Function Documentation

## deduce() [1/2]

template<typename C , typename S >
template<typename T >

static yes deduce | ( | check< typename build_class_function< C, S >::type, &T::operator()> * |  | ) |

static

## deduce() [2/2]

template<typename C , typename S >
template<typename >

static no deduce | ( |  | ... | ) |

static

## Member Data Documentation

## value

template<typename C , typename S >

bool constexpr value = sizeof(deduce<C>(0)) == sizeof(yes)

static constexpr

Definition at line 244 of file field_expr_utilities.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-dTNbRN/rheolef-7.2/fem/geo_element/field_expr_utilities.h